DNS API-Referenz
v1.10.0
Get DNS records
List all DNS records stored in the zone for the specified domain, except the apex NS records (see the nameserver endpoints). Types the API does not write (NS, PTR, HINFO, NAPTR, RP) come back as stored.
GET
/dns/{domain}/rr
ResourceRecordsByDomain
Authentifizierung
Parameter
Name
Typ
Format
Pflicht
Description
domain
string
-
Pflicht
Fully Qualified Domain Name.
Request-Beispiel
GET
curl --request GET \
--url 'https://api.regfish.com/dns/www.example.com/rr' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
The records of the zone
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": [
{
"type": "A",
"name": "www.example.com.",
"data": "12.12.12.12",
"id": 1,
"auto": true,
"active": true,
"ts_created": 1,
"ts_updated": 1
}
]
}400
Invalid request
Response-Beispiel 400
{
"success": false,
"message": "Invalid request",
"error": "Invalid request"
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
DNS zone or records not found
Response-Beispiel 404
{
"success": false,
"message": "DNS zone or records not found",
"error": "DNS zone or records not found"
}500
Unexpected error
Response-Beispiel 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Verwandte Modelle
A
A
AAAA
AAAA
ALIAS
ALIAS
baseResult
baseResult
CAA
CAA
CNAME
CNAME
Error
Error
fqdn
Fully Qualified Domain Name (FQDN, ending with a period).
fqdn_or_subdomain
Fully Qualified Domain Name (FQDN) or subdomain. You can use the `@` symbol to represent your apex domain (e.g., example.com). Wildcards are supported.
fqdn_relaxed
Fully Qualified Domain Name.
HINFOStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
ipv4
ipv4
ipv6
ipv6
MX
MX
NAPTRStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
NSStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
PTRStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
record
record
recordResponse
recordResponse
recordResponseAdditionalReqFQDN
recordResponseAdditionalReqFQDN
recordResponseAdditionalReqRRID
recordResponseAdditionalReqRRID
recordResponseAdditionalState
recordResponseAdditionalState
recordStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
recordTypeStored
recordTypeStored
RPStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
rrid
Resource Record ID
SRV
SRV
TLSA
TLSA
ttl
Time To Live in seconds (60-86400)
TXT
TXT
type
type
Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.